/*
  Theme colors
    All selectors with colors that would need
    to be changed for theme changes
*/

/*
  COLORS

  Sky
    rgb(52, 152, 219)

  Dark Blue
    rgb(44, 62, 80)

  Grey
    rgb(127, 140, 141)

  Cloud
    rgb(236, 240, 241)
*/

.background--skyBlue {
  background-color: rgb(52, 152, 219);
}

.background--cloud {
  background-color: rgb(236, 240, 241);
}

.color--skyBlue {
  color: rgb(52, 152, 219);
}

.color--cloud {
  color: rgb(236, 240, 241);
}

.color--grey {
  color: rgb(127, 140, 141);
}

.color--darkgrey {
  color: rgb(44, 62, 80);
}

.section__example {
  background-color: rgb(44, 62, 80);
}

/*
  General Styles
    These are styles to be inherited
    through parent containers
*/

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

body {
  font-family: 'Cardo', serif;
  margin: 0;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Montserrat', sans-serif;
  letter-spacing: .1rem;
}

/*
  Nav
*/
ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: rgb(236, 240, 241);
  position: sticky;
  top: 0;
}

li {
  float: right;
}

li a {
  display: block;
  color:  rgb(52, 152, 219);
  font-size: 2.5em;
  font-weight: 700;
  text-align: center;
  padding: 24px 28px;
  text-decoration: none;
}

li a:hover {
  background-color: white;
}


/*
  Helpers
*/

.margin--none {
  margin: 0;
}

.overflow--auto {
  overflow: auto;
}

.round-top{
  border-top-left-radius: 50% 20%;
  border-top-right-radius: 50% 20%;
}

.about-me{
  font-size: 16em;
}

.rounded-bottom{
  border-bottom-left-radius: 50% 20%;
  border-bottom-right-radius: 50% 20%;
}

.grid-container {
  display: grid;
  grid-template-columns: auto auto auto;
  padding: 8em;
}
.grid-item {
  background-color: rgba(255, 255, 255, 0.8);
  margin: 2em;
  font-size: 2em;
  text-align: center;
}

.big-icon{
  font-size: 32px;
}

#connect{
  margin-bottom: 0px;
}

/*
  Sections
*/


.section {
  font-size: 4.2rem;
  min-height: 85vh;
  position: relative;
  padding-top: 5rem;
  padding-bottom: 5rem;

}

.section-small{
  min-height: 30vh;
}

.section--alignCentered {
  text-align: center;
}

.section--description {
  font-size: 2.8rem;
  padding-left: 3.5rem;
  padding-right: 3.5rem;
}

.section__description {
  margin: 0 auto;
  margin-bottom: 2rem;
  width: 50%;
}

.section__text--centered {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.section__exampleWrapper,
.section__example {
  display: inline-block;
  height: 35rem;
  width: 35rem;
}

.section__exampleWrapper {
  margin-right: 4rem;
}

.section__example {
  border-radius: 100%;
  cursor: pointer;
  overflow: hidden;
  position: relative;
}

.section__example:active {
  transition: 0.05s all;
  width: 34rem;
  height: 34rem;
}

.section__exampleTitle{
  font-size: 3.4rem;
  text-align: center;
  text-transform: uppercase;
  width: 90%;
}

.section__exampleImage {
  opacity: 0.25;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10%

}

/*
  Header
*/

hr.silver-lining {
  height: 10px;
  border: 1;
  box-shadow: inset 0 9px 9px -3px rgba(145, 167, 187, 0.8);
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  border-radius: 5px;
  }

/* .section__heading--largest {
  float: left;
  font-size: 5rem;
  margin-left: 2rem;
}

.section--social {
  float: right;
  line-height: 10rem;
  margin-right: 2rem;
}

.social {
  margin-right: 0.75rem;
}

.socialWrapper:last-child .social {
  margin-right: 0;
}

.socialWrapper {
  display: inline-block;
  font-size: 3rem;
} */


/*
  Modal
*/

.modal--closed {
  display: none;
}

.modal--open {
  display: block;
  position: fixed;
  top: 5%;
  left: 10%;
  right: 10%;
  bottom: 5%;
  width: 80%;
  height: 80%;
  z-index: 100;
}

.modal__closeButton {
  position: absolute;
  right: 2rem;
  top: 5rem;
  font-size: 4rem;
  z-index: 1;
  curson: pointer;
}

.modal__text {
  position: absolute;
  top: 0;
  left: 0;
  font-size: 2.4rem;
  padding: 2rem;
  width: 66%;
}

.modal__link {
  background-color: white;
  border-radius: 4px;
  padding: 0.4rem 1rem;
  text-transform: uppercase;
  text-decoration: none;
}

.modal__image {
  position: absolute;
  opacity: 0.2;
  right: 2rem;
  bottom: 5rem;
  width: 30%;
}
